Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.nio.channels
Class FileChannel.MapMode

    java.lang.Object
      |
      +--java.nio.channels.FileChannel.MapMode

Enclosing class:
  FileChannel

public static class FileChannel.MapMode
extends Object

A typesafe enumeration for file-mapping modes.

Since:
  1.4
See Also:
  `FileChannel.map(java.nio.channels.FileChannel.MapMode, long, long)`

Field Summary
`static FileChannel.MapMode` | `PRIVATE` Mode for a private (copy-on-write) mapping.
`static FileChannel.MapMode` | `READ_ONLY` Mode for a read-only mapping.
`static FileChannel.MapMode` | `READ_WRITE` Mode for a read/write mapping.

Method Summary
`String` | `toString()` Returns a string describing this file-mapping mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### READ_ONLY

    public static final FileChannel.MapMode READ_ONLY

  Mode for a read-only mapping.

### READ_WRITE

    public static final FileChannel.MapMode READ_WRITE

  Mode for a read/write mapping.

### PRIVATE

    public static final FileChannel.MapMode PRIVATE

  Mode for a private (copy-on-write) mapping.

Method Detail

### toString

    public String toString()

  Returns a string describing this file-mapping mode.

  Overrides:
    `toString` in class `Object`
  Returns:
    A descriptive string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.